<?php

//Clase de Paises
class clase
{
  	var $nom_tabla = 'dginvent';
  	var  $nparte1 = '0';
	var  $tip_ven = '0';
	var  $modulo = '0';
	var  $cod_var = '0';
	var  $fic_tec = '0';
	var  $np_desc1 = '0';
	var  $des_cor = '0';
	var  $es_inv = '0';
	var  $ubicacion = '0';
	var  $exi_min = '0';
	var  $exi_max = '0';
	var  $linea = '0';
	var  $gpo_basico = '0';
	var  $cve_marca = '0';
	var  $lim_vta1 = '0';
	var  $lim_vta2 = '0';
	var  $lim_vta3 = '0';
	var  $ven_esp1 = '0';
	var  $lim_1 = '0';
	var  $lim_2 = '0';
	var  $lim_3 = '0';
	var  $cve_uni_com = '0';
	var  $capacidad = '0';
	var  $cve_uni_vta = '0';
	var  $afe_inv = '0';
	var  $cont_nser = '0';
	var  $cve_iva = '0';
	var  $tip_mon = '0';
	var  $cod_pro = '0';
	var  $uc_fec_doc = '0';
	var  $uc_num_doc = '0';
	var  $uc_pre_com = '0';
	var  $cos_prom = '0';
	var  $cos_prom_ant = '0';
	var  $exi_fis = '0';
	var  $exi_dis = '0';
	var  $fec_bck_ord = '0';
	var  $bck_ord = '0';
	var  $acc_fec = '0';
	var  $acc_hor = '0';
	var  $usuario = '0';
	var  $cod_cli = '0';
	var  $uv_fec_doc = '0';
	var  $uv_num_doc = '0';
	var  $uv_pre_com = '0';
	var  $por_com_ven = '0';
	var  $es_paq = '0';
	var  $npartes = '0';
	var  $fac_rend = '0';
	var  $fact_max = '0';
	var  $fact_min = '0';
	var  $casillero = '0';
	var  $dias_alm = '0';
	var  $temperatura = '0';
	var  $proteinas = '0';
	var  $lipidos = '0';
	var  $carboidratos = '0';
	var  $kcalorias = '0';
	var  $calcio = '0';
	var  $sodio = '0';
	var  $potacio = '0';
	var  $precio = '0';
	var  $lastInsId = '0';

//Funcion de Revicion
	function revisar(){
		$codVar='';
		if($this->cod_var!='')
			$codVar="OR cod_var = '$this->cod_var'";
		$sql = "SELECT * FROM $this->nom_tabla WHERE nparte1 = '$this->nparte1' $codVar";
	   	$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "insert into $this->nom_tabla (nparte1, np_desc1, ubicacion, exi_min, exi_max, linea, gpo_basico, cve_marca, cve_iva, lim_vta1, lim_vta2, lim_vta3, ven_esp1, cve_uni_com,capacidad, cve_uni_vta, afe_inv, cont_nser, tip_mon, lim_1,lim_2,lim_3,fact_max, fac_rend, fact_min,casillero,temperatura,proteinas,lipidos,carboidratos,kcalorias,calcio,sodio,potacio,dias_alm,acc_fec, acc_hor, usuario,es_inv,cos_prom,cod_var,fic_tec,precio,modulo) values ('$this->nparte1', '$this->np_desc1', '$this->ubicacion', '$this->exi_min', '$this->exi_max', '$this->linea', '$this->gpo_basico', '$this->cve_marca', '$this->cve_iva', '$this->lim_vta1', '$this->lim_vta2', '$this->lim_vta3', '$this->ven_esp1', '$this->cve_uni_com', '$this->capacidad','$this->cve_uni_vta', '$this->afe_inv', '$this->cont_nser', '$this->tip_mon', '$this->lim_1', '$this->lim_2', '$this->lim_3','$this->fac_rend','$this->fact_max', '$this->fact_min', '$this->casillero', '$this->temperatura', '$this->proteinas', '$this->lipidos', '$this->carboidratos', '$this->kcalorias', '$this->calcio', '$this->sodio', '$this->potacio', '$this->dias_alm', '".date('Y-m-d')."', '".date('H:i:s')."','".$_SESSION['num_usu']."','$this->es_inv','$this->cos_prom','$this->cod_var','$this->fic_tec','$this->precio','RES')";	   
		$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla WHERE modulo='RES'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($nparte1){
		$sql= "SELECT * FROM $this->nom_tabla WHERE nparte1 = '$nparte1' AND modulo='RES'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modifica($nparte1){
		$sql = "UPDATE $this->nom_tabla SET np_desc1='$this->np_desc1', ubicacion='$this->ubicacion', exi_min='$this->exi_min', exi_max='$this->exi_max', linea='$this->linea', gpo_basico='$this->gpo_basico', cve_marca='$this->cve_marca', cve_iva='$this->cve_iva', lim_vta1='$this->lim_vta1', lim_vta2='$this->lim_vta2', lim_vta3='$this->lim_vta3', ven_esp1='$this->ven_esp1', cve_uni_com='$this->cve_uni_com', capacidad='$this->capacidad', cve_uni_vta='$this->cve_uni_vta', afe_inv='$this->afe_inv', cont_nser='$this->cont_nser', tip_mon='$this->tip_mon', lim_1='$this->lim_1',lim_2 = '$this->lim_2', lim_3 =  '$this->lim_3',acc_fec='".date('Y-m-d')."', acc_hor='".date('H:i:s')."', usuario= '".$_SESSION['num_usu']."',es_inv='$this->es_inv',cos_prom='$this->cos_prom',cod_var='$this->cod_var',fic_tec='$this->fic_tec', fac_rend='$this->fac_rend',fact_max='$this->fact_max', fact_max='$this->fact_max', fact_min='$this->fact_min', casillero='$this->casillero', temperatura='$this->temperatura', dias_alm='$this->dias_alm', proteinas='$this->proteinas', lipidos='$this->lipidos', carboidratos='$this->carboidratos', kcalorias='$this->kcalorias', calcio='$this->calcio', sodio='$this->sodio', potacio='$this->potacio', precio='$this->precio'  where nparte1 = '$nparte1'";
		
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($nparte1){   
		$sql = "DELETE FROM $this->nom_tabla WHERE nparte1 = '$nparte1'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>